{"id":31993,"date":"2021-12-06T12:01:38","date_gmt":"2021-12-06T12:01:38","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=31993"},"modified":"2022-12-01T08:19:35","modified_gmt":"2022-12-01T08:19:35","slug":"bot-publish-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/bot-publish-status-api\/","title":{"rendered":"Bot Publish Status &#8211; API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400\">To fetch the publish status of the current bot or the last completed status request for the bot. To initiate the Publish API, refer <a href=\"\/docs\/bots\/api-guide\/publish-bot-api\/\">here<\/a>.<\/span><\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td>\n<p><span style=\"font-weight: 400\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish\/status<\/code><\/p>\n<p><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Bot Publish > Publish Status<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotId<\/b><\/td>\n<td>\n<p><i>Bot ID<\/i> or <i>Stream ID<\/i> can be accessed under <b>General Settings<\/b>on the Bot Builder.<\/p>\n<p><b>Note<\/b>: This is required only for Bot Builder API scope of Proactive Messages.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/1.1\/public\/bot\/{{BotID}}\/publish\/status\/ \\\r\n  -H 'Auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>No body parameters are passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">\r\n{\r\n    \"_id\": \"ds-4a1b3e3d-7f55-5d80-acc6-7066e5cc6a6f\",\r\n    \"action\": \"RUN\",\r\n    \"jobType\": \"PUBLISH_BOT\",\r\n    \"streamId\": \"st-a86a6717-340b-5830-a8b6-13b4aeb6b865\",\r\n    \"__v\": 0,\r\n    \"countOfDockStatuses\": 1,\r\n    \"createdBy\": \"u-adb7cfc7-e9d1-55dd-acfc-214b82dc51d8\",\r\n    \"percentageComplete\": 100,\r\n    \"requestedTime\": \"2022-07-29T08:04:48.731Z\",\r\n    \"status\": \"successful\",\r\n    \"lastModifiedOn\": \"2022-07-29T08:04:50.083Z\",\r\n    \"initiatedOn\": \"2022-07-29T08:04:48.828Z\",\r\n    \"statusSummary\": [\r\n        {\r\n            \"resourceId\": \"SETTINGS\",\r\n            \"resourceType\": \"SETTINGS\",\r\n            \"name\": \"Settings\",\r\n            \"modules\": [\r\n                \"general\",\r\n                \"bot_variables\",\r\n                \"pii\",\r\n                \"ivr\",\r\n                \"hold_resume\",\r\n                \"custom_script\",\r\n                \"advanced\"\r\n            ],\r\n            \"result\": {\r\n                \"resourceId\": \"SETTINGS\",\r\n                \"resourceType\": \"SETTINGS\",\r\n                \"name\": \"Settings\",\r\n                \"modules\": [\r\n                    \"general\",\r\n                    \"bot_variables\",\r\n                    \"pii\",\r\n                    \"ivr\",\r\n                    \"hold_resume\",\r\n                    \"custom_script\",\r\n                    \"advanced\"\r\n                ]\r\n            },\r\n            \"status\": \"SUCCESS\"\r\n        },\r\n        {\r\n            \"resourceId\": \"CHANNELS\",\r\n            \"resourceType\": \"CHANNELS\",\r\n            \"name\": \"Channels\",\r\n            \"modules\": [\r\n                \"rtm\"\r\n            ],\r\n            \"result\": {\r\n                \"resourceId\": \"CHANNELS\",\r\n                \"resourceType\": \"CHANNELS\",\r\n                \"name\": \"Channels\",\r\n                \"modules\": [\r\n                    \"rtm\"\r\n                ]\r\n            },\r\n            \"status\": \"SUCCESS\"\r\n        },\r\n        {\r\n            \"resourceId\": \"EXTENSIONS\",\r\n            \"resourceType\": \"EXTENSIONS\",\r\n            \"name\": \"Extensions\",\r\n            \"modules\": [\r\n                \"botkit\",\r\n                \"agent_transfer\",\r\n                \"websdk\",\r\n                \"events\"\r\n            ],\r\n            \"result\": {\r\n                \"resourceId\": \"EXTENSIONS\",\r\n                \"resourceType\": \"EXTENSIONS\",\r\n                \"name\": \"Extensions\",\r\n                \"modules\": [\r\n                    \"botkit\",\r\n                    \"agent_transfer\",\r\n                    \"websdk\",\r\n                    \"events\"\r\n                ]\r\n            },\r\n            \"status\": \"SUCCESS\"\r\n        },\r\n        {\r\n            \"resourceId\": \"BOTLANGUAGES\",\r\n            \"resourceType\": \"BOTLANGUAGES\",\r\n            \"name\": \"BotLanguages\",\r\n            \"modules\": {\r\n                \"enabledLanguages\": [\r\n                    \"en\"\r\n                ]\r\n            },\r\n            \"result\": {\r\n                \"resourceId\": \"BOTLANGUAGES\",\r\n                \"resourceType\": \"BOTLANGUAGES\",\r\n                \"name\": \"BotLanguages\",\r\n                \"modules\": {\r\n                    \"enabledLanguages\": [\r\n                        \"en\"\r\n                    ]\r\n                }\r\n            },\r\n            \"status\": \"SUCCESS\"\r\n        },\r\n        {\r\n            \"resourceId\": \"NL\",\r\n            \"resourceType\": \"NL\",\r\n            \"name\": \"Natural Language\",\r\n            \"modules\": [\r\n                \"nl_model\",\r\n                \"settings\"\r\n            ],\r\n            \"result\": {\r\n                \"resourceId\": \"NL\",\r\n                \"resourceType\": \"NL\",\r\n                \"name\": \"Natural Language\",\r\n                \"modules\": [\r\n                    \"nl_model\",\r\n                    \"settings\"\r\n                ]\r\n            },\r\n            \"status\": \"SUCCESS\"\r\n        },\r\n        {\r\n            \"resourceId\": \"dg-ebdce1a1-d912-52b7-b66e-5ad1eda304a6\",\r\n            \"resourceVersion\": \"1.0\",\r\n            \"resourceType\": \"dialog\",\r\n            \"approvalRequestedLanguages\": [\r\n                \"en\"\r\n            ],\r\n            \"name\": \"Find Keyword\",\r\n            \"status\": \"SUCCESS\",\r\n            \"result\": {\r\n                \"visibility\": {\r\n                    \"namespace\": \"enterprise\",\r\n                    \"namespaceIds\": [\r\n                        \"o-12f4144a-f85a-5cc3-8ba3-baec6a9602c4\"\r\n                    ]\r\n                },\r\n                \"contextLifeTime\": {\r\n                    \"options\": \"close\"\r\n                },\r\n                \"version\": \"1.0\",\r\n                \"isPublishedVersion\": false,\r\n                \"idp\": \"none\",\r\n                \"state\": \"published\",\r\n                \"languages\": [],\r\n                \"compatibility\": [],\r\n                \"adminTaskStatus\": \"active\",\r\n                \"editable\": true,\r\n                \"isHidden\": false,\r\n                \"approvedLanguages\": [\r\n                    \"en\"\r\n                ],\r\n                \"approvalRequestedLanguages\": [\r\n                    \"en\"\r\n                ],\r\n                \"isFollowUp\": false,\r\n                \"interruptOptions\": {\r\n                    \"priority\": \"bot\"\r\n                },\r\n                \"amendConfig\": {\r\n                    \"priority\": \"bot\"\r\n                },\r\n                \"vNameSpace\": [\r\n                    \"5f9d4653e2bd8b32e8a58042\"\r\n                ],\r\n                \"_id\": \"dg-4f8e44e9-111b-59c8-bc15-32652cd571dd\",\r\n                \"__v\": 0,\r\n                \"createdBy\": \"u-adb7cfc7-e9d1-55dd-acfc-214b82dc51d8\",\r\n                \"createdOn\": \"2022-07-29T08:04:49.188Z\",\r\n                \"followupTaskOptions\": {\r\n                    \"isFollowUp\": false,\r\n                    \"message\": \"\"\r\n                },\r\n                \"lMod\": \"2022-07-29T08:04:49.000Z\",\r\n                \"lModBy\": \"u-adb7cfc7-e9d1-55dd-acfc-214b82dc51d8\",\r\n                \"lname\": \"find keyword\",\r\n                \"nodes\": [\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"intent0\",\r\n                        \"type\": \"intent\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"service15\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy0\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 8,\r\n                            \"top\": 121\r\n                        },\r\n                        \"componentId\": \"dc-23b2efe4-3d4e-5d00-9b21-53e03583179b\"\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"script2\",\r\n                        \"type\": \"script\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"if\": {\r\n                                    \"context\": \"questionsFound\",\r\n                                    \"op\": \"eq\",\r\n                                    \"value\": \"0\"\r\n                                },\r\n                                \"then\": \"message4\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy5\"\r\n                                }\r\n                            },\r\n                            {\r\n                                \"default\": \"message14\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy3\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 673,\r\n                            \"top\": 422\r\n                        },\r\n                        \"componentId\": \"dc-c7835a66-b6bc-5d55-860c-5679cfa055fb\"\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"type\": {\r\n                                    \"option\": \"developer\"\r\n                                },\r\n                                \"interruptsEnabled\": false,\r\n                                \"priority\": \"node\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"message4\",\r\n                        \"type\": \"message\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"end\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy4\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 745,\r\n                            \"top\": 564\r\n                        },\r\n                        \"componentId\": \"dc-2ada27bb-dc14-5cad-8ef6-0b92413b5972\"\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"script8\",\r\n                        \"type\": \"script\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"if\": {\r\n                                    \"context\": \"questionSearchType\",\r\n                                    \"op\": \"eq\",\r\n                                    \"value\": \"keyword\"\r\n                                },\r\n                                \"then\": \"script2\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy17\"\r\n                                }\r\n                            },\r\n                            {\r\n                                \"default\": \"script10\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy12\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 342,\r\n                            \"top\": 185\r\n                        },\r\n                        \"componentId\": \"dc-aeee21d4-7eb3-59f8-985d-c30bb46d84d0\"\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"script10\",\r\n                        \"type\": \"script\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"message13\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy16\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 656,\r\n                            \"top\": 197\r\n                        },\r\n                        \"componentId\": \"dc-e3d1a42a-a6b3-5ef4-ad34-eaf3852e488e\"\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\",\r\n                                \"type\": {\r\n                                    \"option\": \"doNotAllowHoldResume\"\r\n                                }\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"message11\",\r\n                        \"type\": \"message\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"message12\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy18\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 973,\r\n                            \"top\": 182\r\n                        },\r\n                        \"componentId\": \"dc-b88bfdb3-274e-5d82-ace7-0b8a19b1f6de\"\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"message12\",\r\n                        \"type\": \"message\",\r\n                        \"componentId\": \"dc-9008c640-fe4a-554e-b941-a3835620bedb\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"end\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy25\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 1371,\r\n                            \"top\": 155\r\n                        }\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"message13\",\r\n                        \"type\": \"message\",\r\n                        \"componentId\": \"dc-0817f38b-26b7-525c-b6a8-8f358e5398ba\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"message11\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy27\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 806,\r\n                            \"top\": 30\r\n                        }\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"message14\",\r\n                        \"type\": \"message\",\r\n                        \"componentId\": \"dc-443d8c26-06f7-58fa-ab60-5edcbeaa7918\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"end\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy27\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 1084,\r\n                            \"top\": 425\r\n                        }\r\n                    },\r\n                    {\r\n                        \"nodeOptions\": {\r\n                            \"customTags\": {\r\n                                \"session\": [],\r\n                                \"message\": [],\r\n                                \"user\": []\r\n                            },\r\n                            \"transitionType\": \"auto\",\r\n                            \"isRetriesExceeded\": false,\r\n                            \"promptOptions\": \"required\",\r\n                            \"reuseMarkedupPhrases\": false,\r\n                            \"interruptOptions\": {\r\n                                \"priority\": \"task\"\r\n                            },\r\n                            \"transitionMode\": \"initiateCurrentTask\",\r\n                            \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                            \"reuseOptions\": \"1\",\r\n                            \"userInputCorrection\": true,\r\n                            \"noAutoCorrection\": false,\r\n                            \"notForReuse\": false,\r\n                            \"contextTags\": [],\r\n                            \"message\": [],\r\n                            \"errorMessage\": []\r\n                        },\r\n                        \"vNameSpace\": [],\r\n                        \"preConditions\": [],\r\n                        \"useTaskLevelNs\": true,\r\n                        \"nodeId\": \"service15\",\r\n                        \"type\": \"service\",\r\n                        \"componentId\": \"dc-80557e8a-e14a-510d-9609-b6bb6b845d96\",\r\n                        \"transitions\": [\r\n                            {\r\n                                \"default\": \"script8\",\r\n                                \"metadata\": {\r\n                                    \"color\": \"#299d8e\",\r\n                                    \"connId\": \"dummy28\"\r\n                                }\r\n                            }\r\n                        ],\r\n                        \"metadata\": {\r\n                            \"left\": 8,\r\n                            \"top\": 272\r\n                        }\r\n                    }\r\n                ],\r\n                \"publishedOn\": \"2022-07-29T08:04:48.678Z\",\r\n                \"refId\": \"e2135e58-6f62-5071-9c35-0d1cb395031b\",\r\n                \"streamId\": \"st-a86a6717-340b-5830-a8b6-13b4aeb6b865\",\r\n                \"versionComment\": \"check Publish\",\r\n                \"groups\": [],\r\n                \"resourceid\": null,\r\n                \"traceId\": null,\r\n                \"spanId\": null,\r\n                \"name\": \"Find Keyword\",\r\n                \"shortDesc\": \"\"\r\n            },\r\n            \"deployedTo\": \"enterprise\"\r\n        },\r\n        {\r\n            \"resourceId\": \"5ecd12358bfeeb59851d90a0\",\r\n            \"resourceVersion\": \"1.0\",\r\n            \"resourceType\": \"knowledge\",\r\n            \"name\": \"10241aaa\",\r\n            \"status\": \"SUCCESS\",\r\n            \"result\": {\r\n                \"state\": \"published\",\r\n                \"editable\": true,\r\n                \"nodesToPublish\": [],\r\n                \"deletedNodesToPublish\": [],\r\n                \"publishRoot\": true,\r\n                \"version\": \"1.0\",\r\n                \"adminTaskStatus\": \"active\",\r\n                \"ontologyReport\": false,\r\n                \"vNameSpace\": [\r\n                    \"5f9d4653e2bd8b32e8a58042\"\r\n                ],\r\n                \"_id\": \"62e394a00238910393277e11\",\r\n                \"name\": \"10241aaa\",\r\n                \"description\": \"This is used to make ontology\",\r\n                \"refId\": \"0d599ce6-dc05-527f-a04c-d57059c9eefd\",\r\n                \"isGraph\": true,\r\n                \"taxonomy\": [\r\n                    {\r\n                        \"parent\": [],\r\n                        \"synonyms\": [],\r\n                        \"preConditions\": [],\r\n                        \"contextTags\": [],\r\n                        \"enableContext\": false,\r\n                        \"traitRule\": [],\r\n                        \"isDummy\": true,\r\n                        \"editLocked\": false,\r\n                        \"termStatus\": true,\r\n                        \"label\": \"Internal Audit Chatbot\",\r\n                        \"nodeId\": \"rootNodeId000000001\",\r\n                        \"level\": \"LR\"\r\n                    }\r\n                ],\r\n                \"language\": \"en\",\r\n                \"visibility\": {\r\n                    \"namespace\": \"enterprise\",\r\n                    \"namespaceIds\": [\r\n                        \"o-12f4144a-f85a-5cc3-8ba3-baec6a9602c4\"\r\n                    ]\r\n                },\r\n                \"streamId\": \"st-a86a6717-340b-5830-a8b6-13b4aeb6b865\",\r\n                \"botName\": \"10241aaa\",\r\n                \"createdBy\": \"u-adb7cfc7-e9d1-55dd-acfc-214b82dc51d8\",\r\n                \"lastModifiedBy\": \"u-adb7cfc7-e9d1-55dd-acfc-214b82dc51d8\",\r\n                \"createdOn\": \"2022-07-29T08:04:48.913Z\",\r\n                \"modifiedOn\": \"2022-07-29T08:04:48.927Z\",\r\n                \"__v\": 0,\r\n                \"publishedOn\": \"2022-07-29T08:04:48.927Z\",\r\n                \"versionComment\": null\r\n            },\r\n            \"deployedTo\": \"enterprise\"\r\n        },\r\n        {\r\n            \"resourceId\": \"AUTOVERSIONING\",\r\n            \"resourceType\": \"AUTOVERSIONING\",\r\n            \"name\": \"Creating New Version\",\r\n            \"status\": \"SUCCESS\"\r\n        }\r\n    ]\r\n}\r\n<\/pre>\n<p><strong>Note<\/strong>: The possible values for the &#8216;status&#8217; field are &#8211; SUCCESSFUL, FAILED or INPROGRESS.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To fetch the publish status of the current bot or the last completed status request for the bot. To initiate the Publish API, refer here. &nbsp; Method GET Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish\/status Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Not Applicable Admin Console: Bot Publish > Publish...","protected":false},"author":17,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-31993","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/31993","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/17"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=31993"}],"version-history":[{"count":10,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/31993\/revisions"}],"predecessor-version":[{"id":49434,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/31993\/revisions\/49434"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=31993"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=31993"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=31993"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}